### Constructor

# ICalGLib EnumArray new

since: 4.0

#### Declaration [src]

    ICalEnumArray*
    i_cal_enum_array_new (
      gint increment_size
    )

#### Description [src]

Creates a new `ICalEnumArray`.

Available since: 4.0

#### Parameters

`increment_size`

  Type: `gint`

  How many slots to allocate on array expansion.

#### Return value

Type: `ICalEnumArray`

A new `ICalEnumArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.